Subject: bug#36601: Patch series for guile-2.9.2 on mingw-w64

From: Hannes Müller <[email-masked]>
Date: Mon, 15 Jul 2019 17:23:07 +0200

The error regarding the wrong absolute path names is related to
the prebuilt modulesprebuilt\64-bit-little-endian\ice-9\boot-9
.goprebuilt\32-bit-little-endian\ice-9\boot-9.go
They have been built with system-file-name-convention set to posix. In
fact on mingw-w64 this value is set to windows. I forcedrecompilation
of related modules by touch module\ice-9\boot-9.scm 
For i686 the compilation process succeeded, for x86_64 recompilation of
modules depending on boot-9 failed.
I recommend not to compile the posix/windows setting of  system-file-
name-convention into the prebuilt modules in boot-9.scm: (compile-time-
case (system-file-name-convention) ...
Instead it could be evaluated during runtime. Otherwise formally
different prebuilts are required, e.g.:  prebuilt\64-bit-little-endian-
posixprebuilt\32-bit-little-endian-posixprebuilt\64-bit-little-endian-
windowsprebuilt\32-bit-little-endian-windows